=== debian/changelog ===
python-gevent (1.2.2-2) unstable; urgency=medium

  * Install libev submodule (closes: #876814).
  * Update packaging.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 26 Sep 2017 15:38:16 +0000

python-gevent (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * Add python-setuptools and cython Python variants to build depends.
  * Add cython-dbg to build depends to prevent FTBFS.
  * Add python3-sphinx build dependency.
  * Make package priority optional to match override.
  * Update Standards-Version to 4.1.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 24 Sep 2017 14:29:25 +0000
