=== debian/control ===
Source: python-gevent
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), dh-python, autotools-dev, python-all-dev,
 libevent-dev (>= 1.4), python-greenlet | python-codespeak-lib (<< 1.0),
 python-sphinx (>= 1.0.7+dfsg), python-all-dbg,
 python-greenlet-dbg, python3-greenlet-dbg,
 python-setuptools, python3-setuptools,
 python3-all-dev, python3-all-dbg, python3-greenlet,
 python3-sphinx,
 cython, cython-dbg, cython3,
 libev-dev, libc-ares-dev
Standards-Version: 4.1.0
Section: python
Homepage: http://www.gevent.org/
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-gevent-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, python-gevent (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends},
 python-greenlet-dbg
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: gevent is a coroutine-based Python networking library - debugging symbols
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.
 .
 This is the debugging symbols for gevent.

Package: python-gevent-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Description: gevent is a coroutine-based Python networking library - documentation
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.
 .
 This is the documentation for gevent.

Package: python-gevent
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-greenlet (>= 0.3.2) | python-codespeak-lib (<< 1.0)
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Suggests: python-gevent-doc, python-gevent-dbg, python-openssl
Description: gevent is a coroutine-based Python networking library
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.

Package: python3-gevent
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-greenlet
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Suggests: python-gevent-doc, python3-gevent-dbg, python3-openssl
Description: gevent is a coroutine-based Python networking library
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.

Package: python3-gevent-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, python3-gevent (= ${binary:Version}), ${shlibs:Depends}, ${python3:Depends},
 python3-greenlet-dbg
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: gevent is a coroutine-based Python networking library - debugging symbols
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.
 .
 This is the debugging symbols for gevent.
