## python-gevent 1.3.5

=== debian/changelog ===
python-gevent (1.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Fix Hurd PATH_MAX FTBFS.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 22 Jul 2018 13:55:09 +0000

python-gevent (1.3.4-1) unstable; urgency=medium

  * New upstream release:
    - fixes Sphinx FTBFS (closes: #889140),
    - works with Python 3.7 (closes: #903145).
  * Remove outdated patches.
  * Remove outdated python{,3}-greenlet-dbg dependencies (closes: #901800).
  * Add python{,3}-cffi{,-backend-dbg} to build dependency for CFFI build.
  * Add python3-repoze.sphinx.autointerface to build dependency for
    documentation.
  * Install all files.
  * Update clean target.
  * Update privacy link removals.
  * Remove JavaScript symlinks, no longer needed.
  * Update debhelper level to 11:
    - remove autotools-dev build dependency,
    - don't specify parallel to debhelper,
    - update documentation directory,
    - use dh_missing for listing not installed files.
  * Update Standards-Version to 4.1.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 07 Jul 2018 17:23:32 +0000
