=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: python-gevent
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), dh-python, autotools-dev, python-all-dev,
- libevent-dev (>= 1.4), python-greenlet | python-codespeak-lib (<< 1.0),
+Build-Depends: debhelper (>= 11), dh-python, python-all-dev,
+ libevent-dev (>= 1.4), python-greenlet (>= 0.4.13) | python-codespeak-lib (<< 1.0),
  python-sphinx (>= 1.0.7+dfsg), python-all-dbg,
- python-greenlet-dbg, python3-greenlet-dbg,
  python-setuptools, python3-setuptools,
- python3-all-dev, python3-all-dbg, python3-greenlet,
- python3-sphinx,
+ python-cffi,  python-cffi-backend-dbg,
+ python3-cffi, python3-cffi-backend-dbg,
+ python3-all-dev, python3-all-dbg, python3-greenlet (>= 0.4.13),
+ python3-sphinx, python3-repoze.sphinx.autointerface,
  cython, cython-dbg, cython3,
  libev-dev, libc-ares-dev
-Standards-Version: 4.1.0
+Standards-Version: 4.1.5
 Section: python
 Homepage: http://www.gevent.org/
 X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
+X-Python3-Version: >= 3.4
 
 Package: python-gevent-dbg
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, python-gevent (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends},
- python-greenlet-dbg
+Depends: ${misc:Depends}, python-gevent (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: gevent is a coroutine-based Python networking library - debugging symbols
@@ -33,7 +33,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Depends: ${misc:Depends}, libjs-jquery
 Description: gevent is a coroutine-based Python networking library - documentation
  gevent uses greenlet to provide a high-level synchronous API on top of
  libevent event loop.
@@ -65,8 +65,7 @@
 Package: python3-gevent-dbg
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, python3-gevent (= ${binary:Version}), ${shlibs:Depends}, ${python3:Depends},
- python3-greenlet-dbg
+Depends: ${misc:Depends}, python3-gevent (= ${binary:Version}), ${shlibs:Depends}, ${python3:Depends}
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
 Description: gevent is a coroutine-based Python networking library - debugging symbols
