=== debian/changelog ===
python-gevent (1.3.7-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 24 Nov 2018 15:48:01 +0000

python-gevent (1.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Install all c-ares files for Python 3 (closes: #908144).
  * Put back python{,3}-greenlet-dbg dependencies for recent greenlet.
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 17 Sep 2018 22:08:48 +0000
