=== debian/control ===
--- 
+++ 
@@ -2,25 +2,27 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 11), dh-python, python-all-dev,
- libevent-dev (>= 1.4), python-greenlet (>= 0.4.13) | python-codespeak-lib (<< 1.0),
+ libevent-dev (>= 1.4), python-greenlet (>= 0.4.15) | python-codespeak-lib (<< 1.0),
  python-sphinx (>= 1.0.7+dfsg), python-all-dbg,
+ python-greenlet-dbg, python3-greenlet-dbg,
  python-setuptools, python3-setuptools,
  python-cffi,  python-cffi-backend-dbg,
  python3-cffi, python3-cffi-backend-dbg,
- python3-all-dev, python3-all-dbg, python3-greenlet (>= 0.4.13),
+ python3-all-dev, python3-all-dbg, python3-greenlet (>= 0.4.15),
  python3-sphinx, python3-repoze.sphinx.autointerface,
  cython, cython-dbg, cython3,
  libev-dev, libc-ares-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Section: python
 Homepage: http://www.gevent.org/
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
+#X-Python-Version: >= 2.7
+#X-Python3-Version: >= 3.4
 
 Package: python-gevent-dbg
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, python-gevent (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, python-gevent (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends},
+ python-greenlet-dbg
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: gevent is a coroutine-based Python networking library - debugging symbols
@@ -65,7 +67,8 @@
 Package: python3-gevent-dbg
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, python3-gevent (= ${binary:Version}), ${shlibs:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, python3-gevent (= ${binary:Version}), ${shlibs:Depends}, ${python3:Depends},
+ python3-greenlet-dbg
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
 Description: gevent is a coroutine-based Python networking library - debugging symbols
