=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export SHELL = /bin/bash

DOCDIR:=$(CURDIR)/debian/python-gevent-doc/usr/share/doc/python-gevent

%:
	dh  $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=../src/ make --directory doc/ html

override_dh_auto_clean:
	dh_auto_clean
	make distclean
	make --directory doc/ clean
	rm -f $(CURDIR)/deps/c-ares/Makefile \
		$(CURDIR)/deps/c-ares/ares_build.h \
		$(CURDIR)/deps/c-ares/ares_config.h \
		$(CURDIR)/deps/c-ares/libcares.pc \
		$(CURDIR)/deps/c-ares/stamp-h1 \
		$(CURDIR)/deps/c-ares/stamp-h2
	rm -f $(CURDIR)/deps/libev/Makefile \
		$(CURDIR)/deps/libev/libtool \
		$(CURDIR)/deps/libev/stamp-h1
	rm -f $(CURDIR)/src/gevent/_greenlet_primitives.c \
	       	$(CURDIR)/src/gevent/_hub_local.c \
		$(CURDIR)/src/gevent/_hub_primitives.c \
		$(CURDIR)/src/gevent/_ident.c \
		$(CURDIR)/src/gevent/_imap.c \
		$(CURDIR)/src/gevent/_tracer.c \
		$(CURDIR)/src/gevent/_waiter.c \
		$(CURDIR)/src/gevent/event.c \
		$(CURDIR)/src/gevent/greenlet.c \
		$(CURDIR)/src/gevent/queue.c
	rm -rf $(CURDIR)/src/gevent.egg-info/

override_dh_install:
	dh_install -O--parallel -O--buildsystem=pybuild
	: # remove the compat stuff for 2/3
	rm -v -f debian/python-gevent/usr/lib/python2.7/dist-packages/gevent/_{util_py,ssl,fileobject,socket}3*
	rm -v -f debian/python3-gevent/usr/lib/python3*/dist-packages/gevent/_{util_py,ssl,fileobject,socket}2*

override_dh_compress:
	dh_compress -X.js -X_static/* -X _sources/* -X_sources/*/* -X.inv

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -p python-gevent --dbg-package=python-gevent-dbg
	dh_strip -p python3-gevent --dbg-package=python3-gevent-dbg
endif

# TODO: check for failures, but disable for now
override_dh_auto_test:
#	chmod +x $(CURDIR)/src/greentest/testrunner.py
#	cd $(CURDIR)/src/greentest && PYTHONPATH=../.. ./testrunner.py

override_dh_installdocs-arch:
	dh_installdocs -Npython-gevent-dbg -Npython3-gevent-dbg
	dh_installdocs -ppython-gevent-dbg --link-doc=python-gevent
	dh_installdocs -ppython3-gevent-dbg --link-doc=python3-gevent

override_dh_installdocs-indep:
	dh_installdocs -i
	# remove privacy tracking links
	sed -i 's|https://www.paypal.com/.*.gif||' \
		$(DOCDIR)/html/sfc.html
	sed -i 's|"https://travis-ci.org/.*"|""|' \
		$(DOCDIR)/html/install.html
	sed -i 's|"https://coveralls.io/.*"|""|' \
		$(DOCDIR)/html/install.html
	sed -i 's|"https://ci.appveyor.com/.*"|""|' \
		$(DOCDIR)/html/install.html

override_dh_installexamples-indep:
	dh_installexamples -i
	# remove privacy tracking links
	sed -i 's|http.*/jquery.min.js|file://usr/share/javascript/jquery/jquery.min.js|' \
		$(DOCDIR)/examples/webchat/templates/index.html

override_dh_missing:
	dh_missing --list-missing -X.c -X.h -X.pxd -X.pyc -X.pyx

.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_install \
	override_dh_compress override_dh_strip override_dh_auto_test \
	override_dh_installdocs-arch override_dh_installdocs-indep \
	override_dh_installexamples-indep override_dh_missing
